from plyer import notification #for getting notification on your PC
import sys
from playsound import playsound #pip install playsound==1.2.2
from util import find_data_file
relative_path = (sys.path[0])
sound = find_data_file('music.mp3')

def send_notification(msg="Test notification"):
    notification.notify(
        title = "IP Pigeon",
        message = msg,
        app_name = "IPPigeon",
        app_icon = find_data_file("icon.ico"),
        timeout = 5 #number of seconds message is displayed
    )
    playsound(sound)

if __name__ == '__main__':
    send_notification() 
