import sys
from cx_Freeze import setup, Executable

debug = True
debug = not debug
# Dependencies are automatically detected, but it might need fine tuning.
# "packages": ["os"] is used as example only
build_exe_options = {"packages": ["os", "plyer.platforms.win.notification"], "excludes": ["tkinter"], "include_msvcr": True, "include_files": ["icon.png", "config.yml", "keyfile-admin.pem", "WXPython.png", "WXPython_30x30.png", "settings.png", "settings_30x30.png", "icon.ico", "music.mp3"], "optimize": 1}

# base="Win32GUI" should be used only for Windows GUI app
base = None
if sys.platform == "win32" and not debug:
    base = "Win32GUI"

if sys.platform == "linux" or sys.platform == "linux2" or sys.platform == "darwin":
    name = "IPPigeon"
else:
    name = "IPPigeon.exe"

setup(
    name="IP Pigeon",
    version="0.2.4",
    description="IP Pigeon client application",
    options={"build_exe": build_exe_options},
    executables=[Executable("ippigeon.py", base=base, icon="icon.ico", uac_admin=True, target_name=name)],
)
